> For the complete documentation index, see [llms.txt](https://docs.vechainstats.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vechainstats.com/api-endpoints/token/token-price.md).

# Token Price

```url
https://api.vechainstats.com/v2/token/price
    ?token=vtho
    &expanded=true
    &VCS_API_KEY=your_api_key
```

{% hint style="info" %}
**Note :** This endpoint is throttled to **10 calls/minute** regardless of API Pro tier.
{% endhint %}

{% hint style="warning" %}
The returned prices should be used for information purposes only. VeChainStats doesn't  take any accountability for damages incurred due to outdated or manipulated prices.
{% endhint %}

{% tabs %}
{% tab title="Request" %}

| Parameter    | Description                                                                                                        |
| ------------ | ------------------------------------------------------------------------------------------------------------------ |
| token        | Symbol of the requested token                                                                                      |
| expanded     | Either `true` or `false`. Setting this option to `true` expands the response with **VET**, **EUR**, **CNY** price. |
| {% endtab %} |                                                                                                                    |

{% tab title="Response" %}

```json
{
    "status": {
        "success": true,
        "message": "OK"
    },
    "data": {
        "price_usd": "0.00092253",
        "price_eur": "0.00085198",
        "price_cny": "0.00672516",
        "price_vet": "0.05807554",
        "last_updated": 1692797521
    },
    "meta": {
        "token": "vtho",
        "expanded": true,
        "timestamp": 1692797521
    }
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Not all tokens have their price information supported, a price can only be returned if a token is supported on a central exchange or meets volume and liquidity standards.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vechainstats.com/api-endpoints/token/token-price.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
